package com.dev.swms.server.model.abstractEntity;

import java.util.Date;

import com.dev.energy.server.model.Entity;

public class AddOutPlanList extends Entity{

	private PlanAssembly planAssembly;//计划
	private  BigItem bigItem;//完成品品番
	private String numberNo;//No
	private String   procedure;//工位
	private Date   OfflineDate;//下线日期
	private Date   planDate;//计划日期
	private Date   modifyDate;//计划日期
	private String code;//IDNO
	private String name;//月度序号
	private String country;//国家
	private String  modelType;//机型
	private String  modelNo;//机号
	private String  modelName;//机型名称
	private BomList bomList;//机型
	private String description;//备注
	private String strExtend1;//是否下线
	private String strExtend2;
	private String strExtend3;
	private String strExtend4;
	private String strExtend5;
	private String strExtend6;
	private String strExtend7;
	private String strExtend8;
	private String strExtend9;
	private String strExtend10;
	private  double yearQuantity;//年
	private  double monthQuantity;//月
	private  double quantity;//欠
	private  double quantity1;
	private  double quantity2;
	private  double quantity3;
	private  double quantity4;
	private  double quantity5;
	private  double quantity6;
	private  double quantity7;
	private  double quantity8;
	private  double quantity9;
	private  double quantity10;
	private  double quantity11;
	private  double quantity12;
	private  double quantity13;
	private  double quantity14;
	private  double quantity15;
	private  double quantity16;
	private  double quantity17;
	private  double quantity18;
	private  double quantity19;
	private  double quantity20;
	private  double quantity21;
	private  double quantity22;
	private  double quantity23;
	private  double quantity24;
	private  double quantity25;
	private  double quantity26;
	private  double quantity27;
	private  double quantity28;
	private  double quantity29;
	private  double quantity30;
	private  double quantity31;
	
	private Date   modifyDate1;//日期
	private Date   modifyDate2;//日期
	private Date   modifyDate3;//日期
	private Date   modifyDate4;//日期
	private Date   modifyDate5;//日期
	private Date   modifyDate6;//日期
	private Date   modifyDate7;//日期
	private Date   modifyDate8;//日期
	private Date   modifyDate9;//日期
	private Date   modifyDate10;//日期
	private Date   modifyDate11;//日期
	private Date   modifyDate12;//日期
	private Date   modifyDate13;//日期
	private Date   modifyDate14;//日期
	private Date   modifyDate15;//日期
	private Date   modifyDate16;//日期
	private Date   modifyDate17;//日期
	private Date   modifyDate18;//日期
	private Date   modifyDate19;//日期
	private Date   modifyDate20;//日期
	private Date   modifyDate21;//日期
	private Date   modifyDate22;//日期
	private Date   modifyDate23;//日期
	private Date   modifyDate24;//日期
	private Date   modifyDate25;//日期
	private Date   modifyDate26;//日期
	private Date   modifyDate27;//日期
	private Date   modifyDate28;//日期
	private Date   modifyDate29;//日期
	private Date   modifyDate30;//日期
	private Date   modifyDate31;//日期
	public PlanAssembly getPlanAssembly() {
		return planAssembly;
	}
	public void setPlanAssembly(PlanAssembly planAssembly) {
		this.planAssembly = planAssembly;
	}
	public BigItem getBigItem() {
		return bigItem;
	}
	public void setBigItem(BigItem bigItem) {
		this.bigItem = bigItem;
	}
	public String getNumberNo() {
		return numberNo;
	}
	public void setNumberNo(String numberNo) {
		this.numberNo = numberNo;
	}
	public String getProcedure() {
		return procedure;
	}
	public void setProcedure(String procedure) {
		this.procedure = procedure;
	}
	public Date getOfflineDate() {
		return OfflineDate;
	}
	public void setOfflineDate(Date offlineDate) {
		OfflineDate = offlineDate;
	}
	public Date getPlanDate() {
		return planDate;
	}
	public void setPlanDate(Date planDate) {
		this.planDate = planDate;
	}
	public Date getModifyDate() {
		return modifyDate;
	}
	public void setModifyDate(Date modifyDate) {
		this.modifyDate = modifyDate;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public String getModelType() {
		return modelType;
	}
	public void setModelType(String modelType) {
		this.modelType = modelType;
	}
	public String getModelNo() {
		return modelNo;
	}
	public void setModelNo(String modelNo) {
		this.modelNo = modelNo;
	}
	public String getModelName() {
		return modelName;
	}
	public void setModelName(String modelName) {
		this.modelName = modelName;
	}
	public BomList getBomList() {
		return bomList;
	}
	public void setBomList(BomList bomList) {
		this.bomList = bomList;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStrExtend1() {
		return strExtend1;
	}
	public void setStrExtend1(String strExtend1) {
		this.strExtend1 = strExtend1;
	}
	public String getStrExtend2() {
		return strExtend2;
	}
	public void setStrExtend2(String strExtend2) {
		this.strExtend2 = strExtend2;
	}
	public String getStrExtend3() {
		return strExtend3;
	}
	public void setStrExtend3(String strExtend3) {
		this.strExtend3 = strExtend3;
	}
	public String getStrExtend4() {
		return strExtend4;
	}
	public void setStrExtend4(String strExtend4) {
		this.strExtend4 = strExtend4;
	}
	public String getStrExtend5() {
		return strExtend5;
	}
	public void setStrExtend5(String strExtend5) {
		this.strExtend5 = strExtend5;
	}
	public String getStrExtend6() {
		return strExtend6;
	}
	public void setStrExtend6(String strExtend6) {
		this.strExtend6 = strExtend6;
	}
	public String getStrExtend7() {
		return strExtend7;
	}
	public void setStrExtend7(String strExtend7) {
		this.strExtend7 = strExtend7;
	}
	public String getStrExtend8() {
		return strExtend8;
	}
	public void setStrExtend8(String strExtend8) {
		this.strExtend8 = strExtend8;
	}
	public String getStrExtend9() {
		return strExtend9;
	}
	public void setStrExtend9(String strExtend9) {
		this.strExtend9 = strExtend9;
	}
	public String getStrExtend10() {
		return strExtend10;
	}
	public void setStrExtend10(String strExtend10) {
		this.strExtend10 = strExtend10;
	}
	public double getYearQuantity() {
		return yearQuantity;
	}
	public void setYearQuantity(double yearQuantity) {
		this.yearQuantity = yearQuantity;
	}
	public double getMonthQuantity() {
		return monthQuantity;
	}
	public void setMonthQuantity(double monthQuantity) {
		this.monthQuantity = monthQuantity;
	}
	public double getQuantity() {
		return quantity;
	}
	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}
	public double getQuantity1() {
		return quantity1;
	}
	public void setQuantity1(double quantity1) {
		this.quantity1 = quantity1;
	}
	public double getQuantity2() {
		return quantity2;
	}
	public void setQuantity2(double quantity2) {
		this.quantity2 = quantity2;
	}
	public double getQuantity3() {
		return quantity3;
	}
	public void setQuantity3(double quantity3) {
		this.quantity3 = quantity3;
	}
	public double getQuantity4() {
		return quantity4;
	}
	public void setQuantity4(double quantity4) {
		this.quantity4 = quantity4;
	}
	public double getQuantity5() {
		return quantity5;
	}
	public void setQuantity5(double quantity5) {
		this.quantity5 = quantity5;
	}
	public double getQuantity6() {
		return quantity6;
	}
	public void setQuantity6(double quantity6) {
		this.quantity6 = quantity6;
	}
	public double getQuantity7() {
		return quantity7;
	}
	public void setQuantity7(double quantity7) {
		this.quantity7 = quantity7;
	}
	public double getQuantity8() {
		return quantity8;
	}
	public void setQuantity8(double quantity8) {
		this.quantity8 = quantity8;
	}
	public double getQuantity9() {
		return quantity9;
	}
	public void setQuantity9(double quantity9) {
		this.quantity9 = quantity9;
	}
	public double getQuantity10() {
		return quantity10;
	}
	public void setQuantity10(double quantity10) {
		this.quantity10 = quantity10;
	}
	public double getQuantity11() {
		return quantity11;
	}
	public void setQuantity11(double quantity11) {
		this.quantity11 = quantity11;
	}
	public double getQuantity12() {
		return quantity12;
	}
	public void setQuantity12(double quantity12) {
		this.quantity12 = quantity12;
	}
	public double getQuantity13() {
		return quantity13;
	}
	public void setQuantity13(double quantity13) {
		this.quantity13 = quantity13;
	}
	public double getQuantity14() {
		return quantity14;
	}
	public void setQuantity14(double quantity14) {
		this.quantity14 = quantity14;
	}
	public double getQuantity15() {
		return quantity15;
	}
	public void setQuantity15(double quantity15) {
		this.quantity15 = quantity15;
	}
	public double getQuantity16() {
		return quantity16;
	}
	public void setQuantity16(double quantity16) {
		this.quantity16 = quantity16;
	}
	public double getQuantity17() {
		return quantity17;
	}
	public void setQuantity17(double quantity17) {
		this.quantity17 = quantity17;
	}
	public double getQuantity18() {
		return quantity18;
	}
	public void setQuantity18(double quantity18) {
		this.quantity18 = quantity18;
	}
	public double getQuantity19() {
		return quantity19;
	}
	public void setQuantity19(double quantity19) {
		this.quantity19 = quantity19;
	}
	public double getQuantity20() {
		return quantity20;
	}
	public void setQuantity20(double quantity20) {
		this.quantity20 = quantity20;
	}
	public double getQuantity21() {
		return quantity21;
	}
	public void setQuantity21(double quantity21) {
		this.quantity21 = quantity21;
	}
	public double getQuantity22() {
		return quantity22;
	}
	public void setQuantity22(double quantity22) {
		this.quantity22 = quantity22;
	}
	public double getQuantity23() {
		return quantity23;
	}
	public void setQuantity23(double quantity23) {
		this.quantity23 = quantity23;
	}
	public double getQuantity24() {
		return quantity24;
	}
	public void setQuantity24(double quantity24) {
		this.quantity24 = quantity24;
	}
	public double getQuantity25() {
		return quantity25;
	}
	public void setQuantity25(double quantity25) {
		this.quantity25 = quantity25;
	}
	public double getQuantity26() {
		return quantity26;
	}
	public void setQuantity26(double quantity26) {
		this.quantity26 = quantity26;
	}
	public double getQuantity27() {
		return quantity27;
	}
	public void setQuantity27(double quantity27) {
		this.quantity27 = quantity27;
	}
	public double getQuantity28() {
		return quantity28;
	}
	public void setQuantity28(double quantity28) {
		this.quantity28 = quantity28;
	}
	public double getQuantity29() {
		return quantity29;
	}
	public void setQuantity29(double quantity29) {
		this.quantity29 = quantity29;
	}
	public double getQuantity30() {
		return quantity30;
	}
	public void setQuantity30(double quantity30) {
		this.quantity30 = quantity30;
	}
	public double getQuantity31() {
		return quantity31;
	}
	public void setQuantity31(double quantity31) {
		this.quantity31 = quantity31;
	}
	public Date getModifyDate1() {
		return modifyDate1;
	}
	public void setModifyDate1(Date modifyDate1) {
		this.modifyDate1 = modifyDate1;
	}
	public Date getModifyDate2() {
		return modifyDate2;
	}
	public void setModifyDate2(Date modifyDate2) {
		this.modifyDate2 = modifyDate2;
	}
	public Date getModifyDate3() {
		return modifyDate3;
	}
	public void setModifyDate3(Date modifyDate3) {
		this.modifyDate3 = modifyDate3;
	}
	public Date getModifyDate4() {
		return modifyDate4;
	}
	public void setModifyDate4(Date modifyDate4) {
		this.modifyDate4 = modifyDate4;
	}
	public Date getModifyDate5() {
		return modifyDate5;
	}
	public void setModifyDate5(Date modifyDate5) {
		this.modifyDate5 = modifyDate5;
	}
	public Date getModifyDate6() {
		return modifyDate6;
	}
	public void setModifyDate6(Date modifyDate6) {
		this.modifyDate6 = modifyDate6;
	}
	public Date getModifyDate7() {
		return modifyDate7;
	}
	public void setModifyDate7(Date modifyDate7) {
		this.modifyDate7 = modifyDate7;
	}
	public Date getModifyDate8() {
		return modifyDate8;
	}
	public void setModifyDate8(Date modifyDate8) {
		this.modifyDate8 = modifyDate8;
	}
	public Date getModifyDate9() {
		return modifyDate9;
	}
	public void setModifyDate9(Date modifyDate9) {
		this.modifyDate9 = modifyDate9;
	}
	public Date getModifyDate10() {
		return modifyDate10;
	}
	public void setModifyDate10(Date modifyDate10) {
		this.modifyDate10 = modifyDate10;
	}
	public Date getModifyDate11() {
		return modifyDate11;
	}
	public void setModifyDate11(Date modifyDate11) {
		this.modifyDate11 = modifyDate11;
	}
	public Date getModifyDate12() {
		return modifyDate12;
	}
	public void setModifyDate12(Date modifyDate12) {
		this.modifyDate12 = modifyDate12;
	}
	public Date getModifyDate13() {
		return modifyDate13;
	}
	public void setModifyDate13(Date modifyDate13) {
		this.modifyDate13 = modifyDate13;
	}
	public Date getModifyDate14() {
		return modifyDate14;
	}
	public void setModifyDate14(Date modifyDate14) {
		this.modifyDate14 = modifyDate14;
	}
	public Date getModifyDate15() {
		return modifyDate15;
	}
	public void setModifyDate15(Date modifyDate15) {
		this.modifyDate15 = modifyDate15;
	}
	public Date getModifyDate16() {
		return modifyDate16;
	}
	public void setModifyDate16(Date modifyDate16) {
		this.modifyDate16 = modifyDate16;
	}
	public Date getModifyDate17() {
		return modifyDate17;
	}
	public void setModifyDate17(Date modifyDate17) {
		this.modifyDate17 = modifyDate17;
	}
	public Date getModifyDate18() {
		return modifyDate18;
	}
	public void setModifyDate18(Date modifyDate18) {
		this.modifyDate18 = modifyDate18;
	}
	public Date getModifyDate19() {
		return modifyDate19;
	}
	public void setModifyDate19(Date modifyDate19) {
		this.modifyDate19 = modifyDate19;
	}
	public Date getModifyDate20() {
		return modifyDate20;
	}
	public void setModifyDate20(Date modifyDate20) {
		this.modifyDate20 = modifyDate20;
	}
	public Date getModifyDate21() {
		return modifyDate21;
	}
	public void setModifyDate21(Date modifyDate21) {
		this.modifyDate21 = modifyDate21;
	}
	public Date getModifyDate22() {
		return modifyDate22;
	}
	public void setModifyDate22(Date modifyDate22) {
		this.modifyDate22 = modifyDate22;
	}
	public Date getModifyDate23() {
		return modifyDate23;
	}
	public void setModifyDate23(Date modifyDate23) {
		this.modifyDate23 = modifyDate23;
	}
	public Date getModifyDate24() {
		return modifyDate24;
	}
	public void setModifyDate24(Date modifyDate24) {
		this.modifyDate24 = modifyDate24;
	}
	public Date getModifyDate25() {
		return modifyDate25;
	}
	public void setModifyDate25(Date modifyDate25) {
		this.modifyDate25 = modifyDate25;
	}
	public Date getModifyDate26() {
		return modifyDate26;
	}
	public void setModifyDate26(Date modifyDate26) {
		this.modifyDate26 = modifyDate26;
	}
	public Date getModifyDate27() {
		return modifyDate27;
	}
	public void setModifyDate27(Date modifyDate27) {
		this.modifyDate27 = modifyDate27;
	}
	public Date getModifyDate28() {
		return modifyDate28;
	}
	public void setModifyDate28(Date modifyDate28) {
		this.modifyDate28 = modifyDate28;
	}
	public Date getModifyDate29() {
		return modifyDate29;
	}
	public void setModifyDate29(Date modifyDate29) {
		this.modifyDate29 = modifyDate29;
	}
	public Date getModifyDate30() {
		return modifyDate30;
	}
	public void setModifyDate30(Date modifyDate30) {
		this.modifyDate30 = modifyDate30;
	}
	public Date getModifyDate31() {
		return modifyDate31;
	}
	public void setModifyDate31(Date modifyDate31) {
		this.modifyDate31 = modifyDate31;
	}
	
	
}
